from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSheetCondition(XInterface, Protocol):
    def getOperator(self) -> ConditionOperator: ...
    def setOperator(self, nOperator: ConditionOperator) -> None: ...
    def getFormula1(self) -> str: ...
    def setFormula1(self, aFormula1: str) -> None: ...
    def getFormula2(self) -> str: ...
    def setFormula2(self, aFormula2: str) -> None: ...
    def getSourcePosition(self) -> CellAddress: ...
    def setSourcePosition(self, aSourcePosition: CellAddress) -> None: ...
